<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe1.no"] )) {
			$lookupTableLinks["talebe"]["talebe1.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe1.no"]["search"] = array("table" => "talebe", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe1.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe1.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe1.adsoyad"]["search"] = array("table" => "talebe", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["subeler"] ) ) {
			$lookupTableLinks["subeler"] = array();
		}
		if( !isset( $lookupTableLinks["subeler"]["talebe1.sube"] )) {
			$lookupTableLinks["subeler"]["talebe1.sube"] = array();
		}
		$lookupTableLinks["subeler"]["talebe1.sube"]["add"] = array("table" => "talebe", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe1.sube"] )) {
			$lookupTableLinks["talebe"]["talebe1.sube"] = array();
		}
		$lookupTableLinks["talebe"]["talebe1.sube"]["search"] = array("table" => "talebe", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["davranislar.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["davranislar.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["davranislar.kategori"]["edit"] = array("table" => "davranislar", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["davranislar.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["davranislar.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["davranislar.kategori_kodu"]["edit"] = array("table" => "davranislar", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performans.davranis"] )) {
			$lookupTableLinks["davranislar"]["performans.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["performans.davranis"]["edit"] = array("table" => "performans", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performans.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performans.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performans.ders"]["edit"] = array("table" => "performans", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["performans.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans.kategori"]["edit"] = array("table" => "performans", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["performans.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans.kategori_kodu"]["edit"] = array("table" => "performans", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["performans.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans.kategori_puan"]["edit"] = array("table" => "performans", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performans.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performans.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performans.okul"]["edit"] = array("table" => "performans", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["performans.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans.performans_turu"]["edit"] = array("table" => "performans", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performans.puan"] )) {
			$lookupTableLinks["davranislar"]["performans.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["performans.puan"]["edit"] = array("table" => "performans", "field" => "puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ornek_kategoriler"] ) ) {
			$lookupTableLinks["ornek_kategoriler"] = array();
		}
		if( !isset( $lookupTableLinks["ornek_kategoriler"]["davranis_kategori.kategori"] )) {
			$lookupTableLinks["ornek_kategoriler"]["davranis_kategori.kategori"] = array();
		}
		$lookupTableLinks["ornek_kategoriler"]["davranis_kategori.kategori"]["add"] = array("table" => "davranis_kategori", "field" => "kategori", "page" => "add");
		if( !isset( $lookupTableLinks["ornek_kategoriler"] ) ) {
			$lookupTableLinks["ornek_kategoriler"] = array();
		}
		if( !isset( $lookupTableLinks["ornek_kategoriler"]["davranis_kategori.kategori"] )) {
			$lookupTableLinks["ornek_kategoriler"]["davranis_kategori.kategori"] = array();
		}
		$lookupTableLinks["ornek_kategoriler"]["davranis_kategori.kategori"]["search"] = array("table" => "davranis_kategori", "field" => "kategori", "page" => "search");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.user"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.user"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.user"]["edit"] = array("table" => "davranis_kategori", "field" => "user", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.okul"]["add"] = array("table" => "davranis_kategori", "field" => "okul", "page" => "add");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.okul"]["search"] = array("table" => "davranis_kategori", "field" => "okul", "page" => "search");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.ders"]["add"] = array("table" => "davranis_kategori", "field" => "ders", "page" => "add");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["davranis_kategori.ders"]["search"] = array("table" => "davranis_kategori", "field" => "ders", "page" => "search");
		if( !isset( $lookupTableLinks["talebe_register"] ) ) {
			$lookupTableLinks["talebe_register"] = array();
		}
		if( !isset( $lookupTableLinks["talebe_register"]["okulv108_users.username"] )) {
			$lookupTableLinks["talebe_register"]["okulv108_users.username"] = array();
		}
		$lookupTableLinks["talebe_register"]["okulv108_users.username"]["edit"] = array("table" => "okulv108_users", "field" => "username", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe_register"] ) ) {
			$lookupTableLinks["talebe_register"] = array();
		}
		if( !isset( $lookupTableLinks["talebe_register"]["okulv108_users.fullname"] )) {
			$lookupTableLinks["talebe_register"]["okulv108_users.fullname"] = array();
		}
		$lookupTableLinks["talebe_register"]["okulv108_users.fullname"]["edit"] = array("table" => "okulv108_users", "field" => "fullname", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe_register"] ) ) {
			$lookupTableLinks["talebe_register"] = array();
		}
		if( !isset( $lookupTableLinks["talebe_register"]["okulv108_users.sube"] )) {
			$lookupTableLinks["talebe_register"]["okulv108_users.sube"] = array();
		}
		$lookupTableLinks["talebe_register"]["okulv108_users.sube"]["edit"] = array("table" => "okulv108_users", "field" => "sube", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe_register"] ) ) {
			$lookupTableLinks["talebe_register"] = array();
		}
		if( !isset( $lookupTableLinks["talebe_register"]["okulv108_users.okul"] )) {
			$lookupTableLinks["talebe_register"]["okulv108_users.okul"] = array();
		}
		$lookupTableLinks["talebe_register"]["okulv108_users.okul"]["edit"] = array("table" => "okulv108_users", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["egitim_yili"] ) ) {
			$lookupTableLinks["egitim_yili"] = array();
		}
		if( !isset( $lookupTableLinks["egitim_yili"]["okulv108_users.egitimyili"] )) {
			$lookupTableLinks["egitim_yili"]["okulv108_users.egitimyili"] = array();
		}
		$lookupTableLinks["egitim_yili"]["okulv108_users.egitimyili"]["edit"] = array("table" => "okulv108_users", "field" => "egitimyili", "page" => "edit");
		if( !isset( $lookupTableLinks["dersler"] ) ) {
			$lookupTableLinks["dersler"] = array();
		}
		if( !isset( $lookupTableLinks["dersler"]["ogretmen_girdigi_dersler1.ders"] )) {
			$lookupTableLinks["dersler"]["ogretmen_girdigi_dersler1.ders"] = array();
		}
		$lookupTableLinks["dersler"]["ogretmen_girdigi_dersler1.ders"]["edit"] = array("table" => "ogretmen_girdigi_dersler", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["subeler"] ) ) {
			$lookupTableLinks["subeler"] = array();
		}
		if( !isset( $lookupTableLinks["subeler"]["ogretmen_girdigi_dersler1.sube"] )) {
			$lookupTableLinks["subeler"]["ogretmen_girdigi_dersler1.sube"] = array();
		}
		$lookupTableLinks["subeler"]["ogretmen_girdigi_dersler1.sube"]["edit"] = array("table" => "ogretmen_girdigi_dersler", "field" => "sube", "page" => "edit");
		if( !isset( $lookupTableLinks["okullar"] ) ) {
			$lookupTableLinks["okullar"] = array();
		}
		if( !isset( $lookupTableLinks["okullar"]["ogretmen_girdigi_dersler1.okul"] )) {
			$lookupTableLinks["okullar"]["ogretmen_girdigi_dersler1.okul"] = array();
		}
		$lookupTableLinks["okullar"]["ogretmen_girdigi_dersler1.okul"]["edit"] = array("table" => "ogretmen_girdigi_dersler", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["okuluggroups"] ) ) {
			$lookupTableLinks["okuluggroups"] = array();
		}
		if( !isset( $lookupTableLinks["okuluggroups"]["users_and_islemleri.grupID"] )) {
			$lookupTableLinks["okuluggroups"]["users_and_islemleri.grupID"] = array();
		}
		$lookupTableLinks["okuluggroups"]["users_and_islemleri.grupID"]["edit"] = array("table" => "users_and_islemleri", "field" => "grupID", "page" => "edit");
		if( !isset( $lookupTableLinks["okuluggroups"] ) ) {
			$lookupTableLinks["okuluggroups"] = array();
		}
		if( !isset( $lookupTableLinks["okuluggroups"]["users_and_islemleri.label"] )) {
			$lookupTableLinks["okuluggroups"]["users_and_islemleri.label"] = array();
		}
		$lookupTableLinks["okuluggroups"]["users_and_islemleri.label"]["edit"] = array("table" => "users_and_islemleri", "field" => "label", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_isleri.no"] )) {
			$lookupTableLinks["talebe"]["talebe_isleri.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_isleri.no"]["search"] = array("table" => "talebe_isleri", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_isleri.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe_isleri.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_isleri.adsoyad"]["search"] = array("table" => "talebe_isleri", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["subeler"] ) ) {
			$lookupTableLinks["subeler"] = array();
		}
		if( !isset( $lookupTableLinks["subeler"]["talebe_isleri.sube"] )) {
			$lookupTableLinks["subeler"]["talebe_isleri.sube"] = array();
		}
		$lookupTableLinks["subeler"]["talebe_isleri.sube"]["edit"] = array("table" => "talebe_isleri", "field" => "sube", "page" => "edit");
		if( !isset( $lookupTableLinks["ogrenci_havuzu"] ) ) {
			$lookupTableLinks["ogrenci_havuzu"] = array();
		}
		if( !isset( $lookupTableLinks["ogrenci_havuzu"]["talebe_isleri.sinav_turu"] )) {
			$lookupTableLinks["ogrenci_havuzu"]["talebe_isleri.sinav_turu"] = array();
		}
		$lookupTableLinks["ogrenci_havuzu"]["talebe_isleri.sinav_turu"]["edit"] = array("table" => "talebe_isleri", "field" => "sinav_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_isleri.tmp_davranis_kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_isleri.tmp_davranis_kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_isleri.tmp_davranis_kategori"]["edit"] = array("table" => "talebe_isleri", "field" => "tmp_davranis_kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talebe_isleri.tmp_davranis"] )) {
			$lookupTableLinks["davranislar"]["talebe_isleri.tmp_davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["talebe_isleri.tmp_davranis"]["edit"] = array("table" => "talebe_isleri", "field" => "tmp_davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_isleri.tmp_kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_isleri.tmp_kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_isleri.tmp_kategori_kodu"]["edit"] = array("table" => "talebe_isleri", "field" => "tmp_kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["ogrenci_havuzu"] ) ) {
			$lookupTableLinks["ogrenci_havuzu"] = array();
		}
		if( !isset( $lookupTableLinks["ogrenci_havuzu"]["talebe_pasif.sinav_turu"] )) {
			$lookupTableLinks["ogrenci_havuzu"]["talebe_pasif.sinav_turu"] = array();
		}
		$lookupTableLinks["ogrenci_havuzu"]["talebe_pasif.sinav_turu"]["edit"] = array("table" => "talebe_pasif", "field" => "sinav_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_pasif.tmp_davranis_kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_pasif.tmp_davranis_kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_pasif.tmp_davranis_kategori"]["edit"] = array("table" => "talebe_pasif", "field" => "tmp_davranis_kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talebe_pasif.tmp_davranis"] )) {
			$lookupTableLinks["davranislar"]["talebe_pasif.tmp_davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["talebe_pasif.tmp_davranis"]["edit"] = array("table" => "talebe_pasif", "field" => "tmp_davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_pasif.tmp_kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_pasif.tmp_kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_pasif.tmp_kategori_kodu"]["edit"] = array("table" => "talebe_pasif", "field" => "tmp_kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["odev_getirmeyenler.davranis"] )) {
			$lookupTableLinks["davranislar"]["odev_getirmeyenler.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["odev_getirmeyenler.davranis"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["odev_getirmeyenler.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["odev_getirmeyenler.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["odev_getirmeyenler.ders"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori_kodu"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.kategori_puan"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["odev_getirmeyenler.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["odev_getirmeyenler.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["odev_getirmeyenler.okul"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["odev_getirmeyenler.performans_turu"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["odev_getirmeyenler.puan"] )) {
			$lookupTableLinks["davranislar"]["odev_getirmeyenler.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["odev_getirmeyenler.puan"]["edit"] = array("table" => "odev_getirmeyenler", "field" => "puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["odev.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.ders"]["edit"] = array("table" => "odev", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["odev.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.okul"]["edit"] = array("table" => "odev", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["odev.sube"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.sube"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.sube"]["add"] = array("table" => "odev", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["odev.sube"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.sube"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["odev.sube"]["search"] = array("table" => "odev", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talib_durumu.davranis"] )) {
			$lookupTableLinks["davranislar"]["talib_durumu.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["talib_durumu.davranis"]["edit"] = array("table" => "talib_durumu", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["talib_durumu.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["talib_durumu.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["talib_durumu.ders"]["edit"] = array("table" => "talib_durumu", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talib_durumu.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["talib_durumu.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talib_durumu.kategori"]["edit"] = array("table" => "talib_durumu", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talib_durumu.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["talib_durumu.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talib_durumu.kategori_kodu"]["edit"] = array("table" => "talib_durumu", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talib_durumu.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["talib_durumu.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talib_durumu.kategori_puan"]["edit"] = array("table" => "talib_durumu", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["talib_durumu.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["talib_durumu.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["talib_durumu.okul"]["edit"] = array("table" => "talib_durumu", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talib_durumu.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["talib_durumu.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talib_durumu.performans_turu"]["edit"] = array("table" => "talib_durumu", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talib_durumu.puan"] )) {
			$lookupTableLinks["davranislar"]["talib_durumu.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["talib_durumu.puan"]["edit"] = array("table" => "talib_durumu", "field" => "puan", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_odev.no"] )) {
			$lookupTableLinks["talebe"]["talebe_odev.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_odev.no"]["search"] = array("table" => "talebe_odev", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_odev.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe_odev.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_odev.adsoyad"]["search"] = array("table" => "talebe_odev", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_odev.bep"] )) {
			$lookupTableLinks["talebe"]["talebe_odev.bep"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_odev.bep"]["edit"] = array("table" => "talebe_odev", "field" => "bep", "page" => "edit");
		if( !isset( $lookupTableLinks["ogrenci_havuzu"] ) ) {
			$lookupTableLinks["ogrenci_havuzu"] = array();
		}
		if( !isset( $lookupTableLinks["ogrenci_havuzu"]["talebe_odev.sinav_turu"] )) {
			$lookupTableLinks["ogrenci_havuzu"]["talebe_odev.sinav_turu"] = array();
		}
		$lookupTableLinks["ogrenci_havuzu"]["talebe_odev.sinav_turu"]["edit"] = array("table" => "talebe_odev", "field" => "sinav_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_odev.tmp_davranis_kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_odev.tmp_davranis_kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_odev.tmp_davranis_kategori"]["edit"] = array("table" => "talebe_odev", "field" => "tmp_davranis_kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talebe_odev.tmp_davranis"] )) {
			$lookupTableLinks["davranislar"]["talebe_odev.tmp_davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["talebe_odev.tmp_davranis"]["edit"] = array("table" => "talebe_odev", "field" => "tmp_davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_odev.tmp_kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_odev.tmp_kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_odev.tmp_kategori_kodu"]["edit"] = array("table" => "talebe_odev", "field" => "tmp_kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["subelerin_basari_grafigi.puan"] )) {
			$lookupTableLinks["davranislar"]["subelerin_basari_grafigi.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["subelerin_basari_grafigi.puan"]["search"] = array("table" => "Subelerin_basari_grafigi", "field" => "puan", "page" => "search");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["subelerin_basari_grafigi.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["subelerin_basari_grafigi.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["subelerin_basari_grafigi.ders"]["search"] = array("table" => "Subelerin_basari_grafigi", "field" => "ders", "page" => "search");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["bugun_teslim_edilecek_odevler.sube"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["bugun_teslim_edilecek_odevler.sube"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["bugun_teslim_edilecek_odevler.sube"]["search"] = array("table" => "bugun_teslim_edilecek_odevler", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["okullar"] ) ) {
			$lookupTableLinks["okullar"] = array();
		}
		if( !isset( $lookupTableLinks["okullar"]["ayarlar.okul"] )) {
			$lookupTableLinks["okullar"]["ayarlar.okul"] = array();
		}
		$lookupTableLinks["okullar"]["ayarlar.okul"]["edit"] = array("table" => "ayarlar", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performanslar.davranis"] )) {
			$lookupTableLinks["davranislar"]["performanslar.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["performanslar.davranis"]["edit"] = array("table" => "performanslar", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performanslar.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performanslar.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performanslar.ders"]["edit"] = array("table" => "performanslar", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performanslar.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["performanslar.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performanslar.kategori"]["edit"] = array("table" => "performanslar", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performanslar.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["performanslar.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performanslar.kategori_kodu"]["edit"] = array("table" => "performanslar", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performanslar.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["performanslar.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performanslar.kategori_puan"]["edit"] = array("table" => "performanslar", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performanslar.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performanslar.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performanslar.okul"]["edit"] = array("table" => "performanslar", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performanslar.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["performanslar.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performanslar.performans_turu"]["edit"] = array("table" => "performanslar", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performanslar.puan"] )) {
			$lookupTableLinks["davranislar"]["performanslar.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["performanslar.puan"]["edit"] = array("table" => "performanslar", "field" => "puan", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_excele.no"] )) {
			$lookupTableLinks["talebe"]["dersici_excele.no"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_excele.no"]["search"] = array("table" => "dersici_excele", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_excele.adsoyad"] )) {
			$lookupTableLinks["talebe"]["dersici_excele.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_excele.adsoyad"]["search"] = array("table" => "dersici_excele", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_excele.bep"] )) {
			$lookupTableLinks["talebe"]["dersici_excele.bep"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_excele.bep"]["edit"] = array("table" => "dersici_excele", "field" => "bep", "page" => "edit");
		if( !isset( $lookupTableLinks["ogrenci_havuzu"] ) ) {
			$lookupTableLinks["ogrenci_havuzu"] = array();
		}
		if( !isset( $lookupTableLinks["ogrenci_havuzu"]["dersici_excele.sinav_turu"] )) {
			$lookupTableLinks["ogrenci_havuzu"]["dersici_excele.sinav_turu"] = array();
		}
		$lookupTableLinks["ogrenci_havuzu"]["dersici_excele.sinav_turu"]["edit"] = array("table" => "dersici_excele", "field" => "sinav_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["dersici_excele.tmp_davranis_kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["dersici_excele.tmp_davranis_kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["dersici_excele.tmp_davranis_kategori"]["edit"] = array("table" => "dersici_excele", "field" => "tmp_davranis_kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["dersici_excele.tmp_davranis"] )) {
			$lookupTableLinks["davranislar"]["dersici_excele.tmp_davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["dersici_excele.tmp_davranis"]["edit"] = array("table" => "dersici_excele", "field" => "tmp_davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["dersici_excele.tmp_kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["dersici_excele.tmp_kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["dersici_excele.tmp_kategori_kodu"]["edit"] = array("table" => "dersici_excele", "field" => "tmp_kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.okul_no"] )) {
			$lookupTableLinks["talebe"]["odev_islem.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.okul_no"]["edit"] = array("table" => "odev_islem", "field" => "okul_no", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.okul_no"] )) {
			$lookupTableLinks["talebe"]["odev_islem.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.okul_no"]["add"] = array("table" => "odev_islem", "field" => "okul_no", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.okul_no"] )) {
			$lookupTableLinks["talebe"]["odev_islem.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.okul_no"]["search"] = array("table" => "odev_islem", "field" => "okul_no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["odev_islem.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.ad_soyad"]["edit"] = array("table" => "odev_islem", "field" => "ad_soyad", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["odev_islem.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.ad_soyad"]["add"] = array("table" => "odev_islem", "field" => "ad_soyad", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["odev_islem.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.ad_soyad"]["search"] = array("table" => "odev_islem", "field" => "ad_soyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["odev_islem.sube"] )) {
			$lookupTableLinks["talebe"]["odev_islem.sube"] = array();
		}
		$lookupTableLinks["talebe"]["odev_islem.sube"]["edit"] = array("table" => "odev_islem", "field" => "sube", "page" => "edit");
		if( !isset( $lookupTableLinks["odev"] ) ) {
			$lookupTableLinks["odev"] = array();
		}
		if( !isset( $lookupTableLinks["odev"]["odev_islem.odev_no"] )) {
			$lookupTableLinks["odev"]["odev_islem.odev_no"] = array();
		}
		$lookupTableLinks["odev"]["odev_islem.odev_no"]["edit"] = array("table" => "odev_islem", "field" => "odev_no", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_islem.okul_no"] )) {
			$lookupTableLinks["talebe"]["dersici_islem.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_islem.okul_no"]["add"] = array("table" => "dersici_islem", "field" => "okul_no", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["dersici_islem.okul_no"] )) {
			$lookupTableLinks["dersici_islem"]["dersici_islem.okul_no"] = array();
		}
		$lookupTableLinks["dersici_islem"]["dersici_islem.okul_no"]["search"] = array("table" => "dersici_islem", "field" => "okul_no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_islem.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["dersici_islem.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_islem.ad_soyad"]["add"] = array("table" => "dersici_islem", "field" => "ad_soyad", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["dersici_islem.ad_soyad"] )) {
			$lookupTableLinks["dersici_islem"]["dersici_islem.ad_soyad"] = array();
		}
		$lookupTableLinks["dersici_islem"]["dersici_islem.ad_soyad"]["search"] = array("table" => "dersici_islem", "field" => "ad_soyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_islem.sube"] )) {
			$lookupTableLinks["talebe"]["dersici_islem.sube"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_islem.sube"]["edit"] = array("table" => "dersici_islem", "field" => "sube", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["dersici_islem.sube"] )) {
			$lookupTableLinks["talebe"]["dersici_islem.sube"] = array();
		}
		$lookupTableLinks["talebe"]["dersici_islem.sube"]["add"] = array("table" => "dersici_islem", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["dersici_islem.sube"] )) {
			$lookupTableLinks["dersici_islem"]["dersici_islem.sube"] = array();
		}
		$lookupTableLinks["dersici_islem"]["dersici_islem.sube"]["search"] = array("table" => "dersici_islem", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_export.no"] )) {
			$lookupTableLinks["talebe"]["talebe_export.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_export.no"]["search"] = array("table" => "talebe_export", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_export.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe_export.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_export.adsoyad"]["search"] = array("table" => "talebe_export", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_export.bep"] )) {
			$lookupTableLinks["talebe"]["talebe_export.bep"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_export.bep"]["edit"] = array("table" => "talebe_export", "field" => "bep", "page" => "edit");
		if( !isset( $lookupTableLinks["ogrenci_havuzu"] ) ) {
			$lookupTableLinks["ogrenci_havuzu"] = array();
		}
		if( !isset( $lookupTableLinks["ogrenci_havuzu"]["talebe_export.sinav_turu"] )) {
			$lookupTableLinks["ogrenci_havuzu"]["talebe_export.sinav_turu"] = array();
		}
		$lookupTableLinks["ogrenci_havuzu"]["talebe_export.sinav_turu"]["edit"] = array("table" => "talebe_export", "field" => "sinav_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_export.tmp_davranis_kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_export.tmp_davranis_kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_export.tmp_davranis_kategori"]["edit"] = array("table" => "talebe_export", "field" => "tmp_davranis_kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talebe_export.tmp_davranis"] )) {
			$lookupTableLinks["davranislar"]["talebe_export.tmp_davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["talebe_export.tmp_davranis"]["edit"] = array("table" => "talebe_export", "field" => "tmp_davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talebe_export.tmp_kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["talebe_export.tmp_kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talebe_export.tmp_kategori_kodu"]["edit"] = array("table" => "talebe_export", "field" => "tmp_kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["ogrenci_basari_grafigi.sube"] )) {
			$lookupTableLinks["dersici_islem"]["ogrenci_basari_grafigi.sube"] = array();
		}
		$lookupTableLinks["dersici_islem"]["ogrenci_basari_grafigi.sube"]["search"] = array("table" => "ogrenci_basari_grafigi", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["ogrenci_basari_grafigi.ad_soyad"] )) {
			$lookupTableLinks["dersici_islem"]["ogrenci_basari_grafigi.ad_soyad"] = array();
		}
		$lookupTableLinks["dersici_islem"]["ogrenci_basari_grafigi.ad_soyad"]["search"] = array("table" => "ogrenci_basari_grafigi", "field" => "ad_soyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.okul_no"] )) {
			$lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.okul_no"]["add"] = array("table" => "ogrenci_durumu_sorgulama", "field" => "okul_no", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.ad_soyad"]["add"] = array("table" => "ogrenci_durumu_sorgulama", "field" => "ad_soyad", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.sube"] )) {
			$lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.sube"] = array();
		}
		$lookupTableLinks["talebe"]["ogrenci_durumu_sorgulama.sube"]["add"] = array("table" => "ogrenci_durumu_sorgulama", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["ogrenci_durumu_sorgulama.sube"] )) {
			$lookupTableLinks["dersici_islem"]["ogrenci_durumu_sorgulama.sube"] = array();
		}
		$lookupTableLinks["dersici_islem"]["ogrenci_durumu_sorgulama.sube"]["search"] = array("table" => "ogrenci_durumu_sorgulama", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["ders_ici_yedekle.okul_no"] )) {
			$lookupTableLinks["talebe"]["ders_ici_yedekle.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["ders_ici_yedekle.okul_no"]["add"] = array("table" => "ders_ici_yedekle", "field" => "okul_no", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["ders_ici_yedekle.okul_no"] )) {
			$lookupTableLinks["dersici_islem"]["ders_ici_yedekle.okul_no"] = array();
		}
		$lookupTableLinks["dersici_islem"]["ders_ici_yedekle.okul_no"]["search"] = array("table" => "ders_ici_yedekle", "field" => "okul_no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["ders_ici_yedekle.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["ders_ici_yedekle.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["ders_ici_yedekle.ad_soyad"]["add"] = array("table" => "ders_ici_yedekle", "field" => "ad_soyad", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["ders_ici_yedekle.ad_soyad"] )) {
			$lookupTableLinks["dersici_islem"]["ders_ici_yedekle.ad_soyad"] = array();
		}
		$lookupTableLinks["dersici_islem"]["ders_ici_yedekle.ad_soyad"]["search"] = array("table" => "ders_ici_yedekle", "field" => "ad_soyad", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["ders_ici_yedekle.sube"] )) {
			$lookupTableLinks["talebe"]["ders_ici_yedekle.sube"] = array();
		}
		$lookupTableLinks["talebe"]["ders_ici_yedekle.sube"]["add"] = array("table" => "ders_ici_yedekle", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["dersici_islem"] ) ) {
			$lookupTableLinks["dersici_islem"] = array();
		}
		if( !isset( $lookupTableLinks["dersici_islem"]["ders_ici_yedekle.sube"] )) {
			$lookupTableLinks["dersici_islem"]["ders_ici_yedekle.sube"] = array();
		}
		$lookupTableLinks["dersici_islem"]["ders_ici_yedekle.sube"]["search"] = array("table" => "ders_ici_yedekle", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performans_yedekle.davranis"] )) {
			$lookupTableLinks["davranislar"]["performans_yedekle.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["performans_yedekle.davranis"]["edit"] = array("table" => "performans_yedekle", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performans_yedekle.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_yedekle.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_yedekle.ders"]["edit"] = array("table" => "performans_yedekle", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori"]["edit"] = array("table" => "performans_yedekle", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori_kodu"]["edit"] = array("table" => "performans_yedekle", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_yedekle.kategori_puan"]["edit"] = array("table" => "performans_yedekle", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performans_yedekle.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_yedekle.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_yedekle.okul"]["edit"] = array("table" => "performans_yedekle", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_yedekle.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_yedekle.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_yedekle.performans_turu"]["edit"] = array("table" => "performans_yedekle", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performans_yedekle.puan"] )) {
			$lookupTableLinks["davranislar"]["performans_yedekle.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["performans_yedekle.puan"]["edit"] = array("table" => "performans_yedekle", "field" => "puan", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_lookup.no"] )) {
			$lookupTableLinks["talebe"]["talebe_lookup.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_lookup.no"]["search"] = array("table" => "talebe_lookup", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_lookup.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe_lookup.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_lookup.adsoyad"]["search"] = array("table" => "talebe_lookup", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["subeler"] ) ) {
			$lookupTableLinks["subeler"] = array();
		}
		if( !isset( $lookupTableLinks["subeler"]["talebe_lookup.sube"] )) {
			$lookupTableLinks["subeler"]["talebe_lookup.sube"] = array();
		}
		$lookupTableLinks["subeler"]["talebe_lookup.sube"]["add"] = array("table" => "talebe_lookup", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_lookup.sube"] )) {
			$lookupTableLinks["talebe"]["talebe_lookup.sube"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_lookup.sube"]["search"] = array("table" => "talebe_lookup", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_lookup1.no"] )) {
			$lookupTableLinks["talebe"]["talebe_lookup1.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_lookup1.no"]["search"] = array("table" => "talebe_lookup1", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_lookup1.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe_lookup1.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_lookup1.adsoyad"]["search"] = array("table" => "talebe_lookup1", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["subeler"] ) ) {
			$lookupTableLinks["subeler"] = array();
		}
		if( !isset( $lookupTableLinks["subeler"]["talebe_lookup1.sube"] )) {
			$lookupTableLinks["subeler"]["talebe_lookup1.sube"] = array();
		}
		$lookupTableLinks["subeler"]["talebe_lookup1.sube"]["add"] = array("table" => "talebe_lookup1", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_lookup1.sube"] )) {
			$lookupTableLinks["talebe"]["talebe_lookup1.sube"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_lookup1.sube"]["search"] = array("table" => "talebe_lookup1", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["tutanak_davranislari"] ) ) {
			$lookupTableLinks["tutanak_davranislari"] = array();
		}
		if( !isset( $lookupTableLinks["tutanak_davranislari"]["tutanak.davranis"] )) {
			$lookupTableLinks["tutanak_davranislari"]["tutanak.davranis"] = array();
		}
		$lookupTableLinks["tutanak_davranislari"]["tutanak.davranis"]["edit"] = array("table" => "tutanak", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performans_detay.davranis"] )) {
			$lookupTableLinks["davranislar"]["performans_detay.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["performans_detay.davranis"]["edit"] = array("table" => "performans_detay", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performans_detay.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_detay.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_detay.ders"]["edit"] = array("table" => "performans_detay", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_detay.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_detay.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_detay.kategori"]["edit"] = array("table" => "performans_detay", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_detay.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_detay.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_detay.kategori_kodu"]["edit"] = array("table" => "performans_detay", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_detay.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_detay.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_detay.kategori_puan"]["edit"] = array("table" => "performans_detay", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["performans_detay.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_detay.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["performans_detay.okul"]["edit"] = array("table" => "performans_detay", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["performans_detay.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["performans_detay.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["performans_detay.performans_turu"]["edit"] = array("table" => "performans_detay", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["performans_detay.puan"] )) {
			$lookupTableLinks["davranislar"]["performans_detay.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["performans_detay.puan"]["edit"] = array("table" => "performans_detay", "field" => "puan", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_register.no"] )) {
			$lookupTableLinks["talebe"]["talebe_register.no"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_register.no"]["search"] = array("table" => "talebe_register", "field" => "no", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_register.adsoyad"] )) {
			$lookupTableLinks["talebe"]["talebe_register.adsoyad"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_register.adsoyad"]["search"] = array("table" => "talebe_register", "field" => "adsoyad", "page" => "search");
		if( !isset( $lookupTableLinks["subeler"] ) ) {
			$lookupTableLinks["subeler"] = array();
		}
		if( !isset( $lookupTableLinks["subeler"]["talebe_register.sube"] )) {
			$lookupTableLinks["subeler"]["talebe_register.sube"] = array();
		}
		$lookupTableLinks["subeler"]["talebe_register.sube"]["add"] = array("table" => "talebe_register", "field" => "sube", "page" => "add");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["talebe_register.sube"] )) {
			$lookupTableLinks["talebe"]["talebe_register.sube"] = array();
		}
		$lookupTableLinks["talebe"]["talebe_register.sube"]["search"] = array("table" => "talebe_register", "field" => "sube", "page" => "search");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["gorevli_ogrenciler.ad_soyad"] )) {
			$lookupTableLinks["talebe"]["gorevli_ogrenciler.ad_soyad"] = array();
		}
		$lookupTableLinks["talebe"]["gorevli_ogrenciler.ad_soyad"]["edit"] = array("table" => "gorevli_ogrenciler", "field" => "ad_soyad", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["gorevli_ogrenciler.okul_no"] )) {
			$lookupTableLinks["talebe"]["gorevli_ogrenciler.okul_no"] = array();
		}
		$lookupTableLinks["talebe"]["gorevli_ogrenciler.okul_no"]["edit"] = array("table" => "gorevli_ogrenciler", "field" => "okul_no", "page" => "edit");
		if( !isset( $lookupTableLinks["talebe"] ) ) {
			$lookupTableLinks["talebe"] = array();
		}
		if( !isset( $lookupTableLinks["talebe"]["gorevli_ogrenciler.sube"] )) {
			$lookupTableLinks["talebe"]["gorevli_ogrenciler.sube"] = array();
		}
		$lookupTableLinks["talebe"]["gorevli_ogrenciler.sube"]["edit"] = array("table" => "gorevli_ogrenciler", "field" => "sube", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talip_bugun.davranis"] )) {
			$lookupTableLinks["davranislar"]["talip_bugun.davranis"] = array();
		}
		$lookupTableLinks["davranislar"]["talip_bugun.davranis"]["edit"] = array("table" => "talip_bugun", "field" => "davranis", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["talip_bugun.ders"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["talip_bugun.ders"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["talip_bugun.ders"]["edit"] = array("table" => "talip_bugun", "field" => "ders", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talip_bugun.kategori"] )) {
			$lookupTableLinks["davranis_kategori"]["talip_bugun.kategori"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talip_bugun.kategori"]["edit"] = array("table" => "talip_bugun", "field" => "kategori", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talip_bugun.kategori_kodu"] )) {
			$lookupTableLinks["davranis_kategori"]["talip_bugun.kategori_kodu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talip_bugun.kategori_kodu"]["edit"] = array("table" => "talip_bugun", "field" => "kategori_kodu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talip_bugun.kategori_puan"] )) {
			$lookupTableLinks["davranis_kategori"]["talip_bugun.kategori_puan"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talip_bugun.kategori_puan"]["edit"] = array("table" => "talip_bugun", "field" => "kategori_puan", "page" => "edit");
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"] ) ) {
			$lookupTableLinks["ogretmen_girdigi_dersler"] = array();
		}
		if( !isset( $lookupTableLinks["ogretmen_girdigi_dersler"]["talip_bugun.okul"] )) {
			$lookupTableLinks["ogretmen_girdigi_dersler"]["talip_bugun.okul"] = array();
		}
		$lookupTableLinks["ogretmen_girdigi_dersler"]["talip_bugun.okul"]["edit"] = array("table" => "talip_bugun", "field" => "okul", "page" => "edit");
		if( !isset( $lookupTableLinks["davranis_kategori"] ) ) {
			$lookupTableLinks["davranis_kategori"] = array();
		}
		if( !isset( $lookupTableLinks["davranis_kategori"]["talip_bugun.performans_turu"] )) {
			$lookupTableLinks["davranis_kategori"]["talip_bugun.performans_turu"] = array();
		}
		$lookupTableLinks["davranis_kategori"]["talip_bugun.performans_turu"]["edit"] = array("table" => "talip_bugun", "field" => "performans_turu", "page" => "edit");
		if( !isset( $lookupTableLinks["davranislar"] ) ) {
			$lookupTableLinks["davranislar"] = array();
		}
		if( !isset( $lookupTableLinks["davranislar"]["talip_bugun.puan"] )) {
			$lookupTableLinks["davranislar"]["talip_bugun.puan"] = array();
		}
		$lookupTableLinks["davranislar"]["talip_bugun.puan"]["edit"] = array("table" => "talip_bugun", "field" => "puan", "page" => "edit");
}

?>